package com.jy.framework.satoken;

import cn.dev33.satoken.stp.StpInterface;

import java.util.ArrayList;
import java.util.List;

/**
 * sa-token 权限管理实现类
 */
public class JyStpInterface implements StpInterface {

    @Override
    public List<String> getPermissionList(Object loginId, String loginType) {
        return new ArrayList<>(LoginContext.getApiPermissionSet());
    }

    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        return new ArrayList<>(LoginContext.getRoleCodeSet());
    }

}
